Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  VBA teil aus aktiver Baugruppe öffnen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   VBA teil aus aktiver Baugruppe öffnen (160 mal gelesen)
darthkali
Mitglied
Konstrukteur Formenbau


Sehen Sie sich das Profil von darthkali an!   Senden Sie eine Private Message an darthkali  Schreiben Sie einen Gästebucheintrag für darthkali

Beiträge: 65
Registriert: 24.02.2010

Win 7 64Bit
Solid Works 2016
Intel Xeon CPU E3-1240 v5
16GB RAm
nvidia Quadro M2000 (4GB)

erstellt am: 04. Apr. 2017 10:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

ich habe gerade ein Problem:

Ich würde gerne ein Teil öffnen, nur leider will es nicht so recht.
Das problem ist, dass ich eine Baugruppe geöffnet habe, in der Das Teil (in diesem Fall die Transportbruecke) geladen ist. Wenn ich das makro ausführe tut sich nichts. Es kommt auch kein Fehler.
Nehme ich ein Teil aus einem anderen Pfad, also nicht der Aktive, dann funktioniert es.
Wo liegt denn da mein Fehler?

Grüße Danny

Option Explicit

Dim swApp      As SldWorks.SldWorks
Dim doc        As SldWorks.ModelDoc2
Dim fileerror  As Long
Dim filewarning As Long

Sub main()

    Set swApp = Application.SldWorks
    swApp.Visible = True


    Set doc = swApp.OpenDoc6("C:\Users\Konstruktion 4\Desktop\Backup\Projekte\17022-SWX\17022-T010-Transportbruecke.sldprt", swDocPART, swOpenDocOptions_Silent, "", fileerror, filewarning)
 
'Debug.Print filewarning
End Sub

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nahe
Mitglied



Sehen Sie sich das Profil von nahe an!   Senden Sie eine Private Message an nahe  Schreiben Sie einen Gästebucheintrag für nahe

Beiträge: 1281
Registriert: 18.01.2001

arbeite mit:
HP Z440 Workstation
Xenon (12-Kern) 3.5GHz
32GB RAM
238GB SSD
------------------------
SWX-2016 SP5.0
DBWorks-R15 SP2.9
----------------
Windows 7 64 bit
----------------
VB
VBA
Lotus Notes Datenbanken
erste Schritte mit Swift

erstellt am: 04. Apr. 2017 10:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für darthkali 10 Unities + Antwort hilfreich

Hallo Danny,

ich würd mal die Online Hilfe zu Rate ziehen
dort steht

ISldWorks::OpenDoc6 does not activate and display the document if the file is already open in memory in an assembly or drawing. However, ISldWorks::OpenDoc6 should return a valid IModelDoc2 pointer that is usable with functions that do not require a document to be displayed. If you want, ISldWorks::ActivateDoc2 or ISldWorks::IActivateDoc3 will activate and display the document. Because calling ISldWorks::OpenDoc6 does not activate nor display the file, calling the ISldWorks::ActiveDoc or ISldWorks::IActiveDoc2 property will not return a pointer to this document.

------------------
Grüße
Heinz

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

darthkali
Mitglied
Konstrukteur Formenbau


Sehen Sie sich das Profil von darthkali an!   Senden Sie eine Private Message an darthkali  Schreiben Sie einen Gästebucheintrag für darthkali

Beiträge: 65
Registriert: 24.02.2010

Win 7 64Bit
Solid Works 2016
Intel Xeon CPU E3-1240 v5
16GB RAm
nvidia Quadro M2000 (4GB)

erstellt am: 04. Apr. 2017 13:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank!
Hat mir weitergeholfen. 

Grüße Danny

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de